## com.sun.jersey.api.client
Interface ViewUniformInterface

All Known Implementing Classes:
  ViewResource, ViewResource.Builder

    public interface ViewUniformInterface

Method Summary

`

`<T> T`

`

`delete(java.lang.Class<T> c)`

`

`<T> T`

`

`delete(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> T`

`

`delete(T c)`

`

`<T> T`

`

`delete(T c, java.lang.Object requestEntity)`

`

`<T> T`

`

`get(java.lang.Class<T> c)`

`

`<T> T`

`

`get(T c)`

`

`<T> T`

`

`head(java.lang.Class<T> c)`

`

`<T> T`

`

`head(T c)`

`

`<T> T`

`

`method(java.lang.String method, java.lang.Class<T> c)`

`

`<T> T`

`

`method(java.lang.String method, java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> T`

`

`method(java.lang.String method, T c)`

`

`<T> T`

`

`method(java.lang.String method, T c, java.lang.Object requestEntity)`

`

`<T> T`

`

`options(java.lang.Class<T> c)`

`

`<T> T`

`

`options(T c)`

`

`<T> T`

`

`post(java.lang.Class<T> c)`

`

`<T> T`

`

`post(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> T`

`

`post(T c)`

`

`<T> T`

`

`post(T c, java.lang.Object requestEntity)`

`

`<T> T`

`

`put(java.lang.Class<T> c)`

`

`<T> T`

`

`put(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> T`

`

`put(T c)`

`

`<T> T`

`

`put(T c, java.lang.Object requestEntity)`

Method Detail

### head

    <T> T head(java.lang.Class<T> c)

### head

    <T> T head(T c)

### options

    <T> T options(java.lang.Class<T> c)

### options

    <T> T options(T c)

### get

    <T> T get(java.lang.Class<T> c)

### get

    <T> T get(T c)

### put

    <T> T put(java.lang.Class<T> c)

### put

    <T> T put(T c)

### put

    <T> T put(java.lang.Class<T> c,
              java.lang.Object requestEntity)

### put

    <T> T put(T c,
              java.lang.Object requestEntity)

### post

    <T> T post(java.lang.Class<T> c)

### post

    <T> T post(T c)

### post

    <T> T post(java.lang.Class<T> c,
               java.lang.Object requestEntity)

### post

    <T> T post(T c,
               java.lang.Object requestEntity)

### delete

    <T> T delete(java.lang.Class<T> c)

### delete

    <T> T delete(T c)

### delete

    <T> T delete(java.lang.Class<T> c,
                 java.lang.Object requestEntity)

### delete

    <T> T delete(T c,
                 java.lang.Object requestEntity)

### method

    <T> T method(java.lang.String method,
                 java.lang.Class<T> c)

### method

    <T> T method(java.lang.String method,
                 T c)

### method

    <T> T method(java.lang.String method,
                 java.lang.Class<T> c,
                 java.lang.Object requestEntity)

### method

    <T> T method(java.lang.String method,
                 T c,
                 java.lang.Object requestEntity)

Copyright © 2017 Oracle Corporation. All Rights Reserved.